<?php
function my_action_handler_streetlist_export() {
	global $access, $onload_code, $ko_path;

	if($access['leute']['MAX'] < 1) return FALSE;

	apply_leute_filter($_SESSION['filter'], $z_where, ($access['leute']['ALL'] < 1));
	ko_get_leute($es, $z_where);

	//Find street name
	$streets = array();
	foreach($es as $p) {
		preg_match('/^([ a-zA-Z\.-]*)([\d-\/]+)(.*)/', $p['adresse'], $matches);
		$street = $matches[1];
		//$number = $matches[2];
		//$addition = $matches[3];
		if(!$street) continue;

		if(!in_array($street, $streets[$p['plz'].'#'.$p['ort']])) {
			$streets[$p['plz'].'#'.$p['ort']][] = $street;
		}
	}

	//Sort them by zip/city and street name
	ksort($streets);
	foreach($streets as $zip => $street) {
		sort($street);
		$streets[$zip] = $street;
	}


	//Create Excel file
	$data = array();
	foreach($streets as $zipcity => $street) {
		list($zip, $city) = explode('#', $zipcity);
		foreach($street as $s) {
			$data[] = array($zip, $city, $s);
		}
	}
	$header = array(getLL('kota_ko_leute_plz'), getLL('kota_ko_leute_ort'), getLL('kota_ko_leute_adresse'));

	$filename = $ko_path.'download/excel/strassenliste_'.date('dmY_His').'.xlsx';
	ko_export_to_xlsx($header, $data, $filename);

	$onload_code = "ko_popup('{$ko_path}download.php?action=file&amp;file=".substr($filename, 3)."');";
}//action_streetlist_export()
